# Skill

## GET /api/v1/dashboard/skill/

> Retrieve Skill List.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Skill":{"type":"object","description":"Full skill serializer for CRUD operations","properties":{"id":{"type":"string","readOnly":true},"name":{"type":"string","maxLength":75},"code":{"type":"string","maxLength":20},"description":{"type":"string","nullable":true},"icon":{"type":"string","nullable":true,"maxLength":100},"is_active":{"type":"boolean"},"created_at":{"type":"string","format":"date-time","readOnly":true},"updated_at":{"type":"string","format":"date-time","readOnly":true}},"required":["code","created_at","id","name","updated_at"]}}},"paths":{"/api/v1/dashboard/skill/":{"get":{"operationId":"dashboard_skill_retrieve","description":"Retrieve Skill List.","tags":["Skill"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Skill"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/skill/{skill\_id}/

> Retrieve Skill Detail.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Skill":{"type":"object","description":"Full skill serializer for CRUD operations","properties":{"id":{"type":"string","readOnly":true},"name":{"type":"string","maxLength":75},"code":{"type":"string","maxLength":20},"description":{"type":"string","nullable":true},"icon":{"type":"string","nullable":true,"maxLength":100},"is_active":{"type":"boolean"},"created_at":{"type":"string","format":"date-time","readOnly":true},"updated_at":{"type":"string","format":"date-time","readOnly":true}},"required":["code","created_at","id","name","updated_at"]}}},"paths":{"/api/v1/dashboard/skill/{skill_id}/":{"get":{"operationId":"dashboard_skill_retrieve_2","description":"Retrieve Skill Detail.","parameters":[{"in":"path","name":"skill_id","schema":{"type":"string"},"required":true}],"tags":["Skill"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Skill"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## PUT /api/v1/dashboard/skill/{skill\_id}/

> Get, update, or delete a specific skill

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/skill/{skill_id}/":{"put":{"operationId":"dashboard_skill_update","description":"Get, update, or delete a specific skill","parameters":[{"in":"path","name":"skill_id","schema":{"type":"string"},"required":true}],"tags":["Skill"],"responses":{"200":{"description":"No response body"}}}}}}
```

## DELETE /api/v1/dashboard/skill/{skill\_id}/

> Get, update, or delete a specific skill

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/skill/{skill_id}/":{"delete":{"operationId":"dashboard_skill_destroy","description":"Get, update, or delete a specific skill","parameters":[{"in":"path","name":"skill_id","schema":{"type":"string"},"required":true}],"tags":["Skill"],"responses":{"204":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/skill/{skill\_id}/tasks/

> Retrieve Skill Tasks.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Skill":{"type":"object","description":"Full skill serializer for CRUD operations","properties":{"id":{"type":"string","readOnly":true},"name":{"type":"string","maxLength":75},"code":{"type":"string","maxLength":20},"description":{"type":"string","nullable":true},"icon":{"type":"string","nullable":true,"maxLength":100},"is_active":{"type":"boolean"},"created_at":{"type":"string","format":"date-time","readOnly":true},"updated_at":{"type":"string","format":"date-time","readOnly":true}},"required":["code","created_at","id","name","updated_at"]}}},"paths":{"/api/v1/dashboard/skill/{skill_id}/tasks/":{"get":{"operationId":"dashboard_skill_tasks_retrieve","description":"Retrieve Skill Tasks.","parameters":[{"in":"path","name":"skill_id","schema":{"type":"string"},"required":true}],"tags":["Skill"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Skill"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/dashboard/skill/create/

> Create a new skill

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/skill/create/":{"post":{"operationId":"dashboard_skill_create_create","description":"Create a new skill","tags":["Skill"],"responses":{"200":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/skill/dropdown/

> Retrieve Skill Dropdown.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"SkillDropdown":{"type":"object","description":"Minimal serializer for dropdown selections","properties":{"id":{"type":"string","maxLength":36},"name":{"type":"string","maxLength":75},"code":{"type":"string","maxLength":20}},"required":["code","name"]}}},"paths":{"/api/v1/dashboard/skill/dropdown/":{"get":{"operationId":"dashboard_skill_dropdown_retrieve","description":"Retrieve Skill Dropdown.","tags":["Skill"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/SkillDropdown"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mulearn.org/api-reference/skill.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
